class Displayable:
	def __init__(self):
		self.x = 0
		self.y = 0
		self.visible = False

	def show(self, sh = True):
		self.visible = sh

	def move(self, new_x, new_y):
		self.x = new_x
		self.y = new_y

	def move_rel(self, rel_x, rel_y):
		self.x += rel_x
		self.y += rel_y

	def update(self, elapsed_msecs):
		pass

	def draw(self, surf):
		pass

